/* This file is part of Indico.
 * Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
 *
 * Indico is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Indico is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Indico; if not, see <http://www.gnu.org/licenses/>.
 */

@import 'base/palette';
@import 'compass';

$image-preview-width: 120;
$image-preview-margin: 16;
$dropzone-padding: 20;
$dropzone-border-width: 2;

.dropzone {
    border: 0;
    margin: 0;
    padding: 0;

    .dropzone-area {
        @include border-radius(2px);
        border: 2px dashed $dark-blue;
        padding: 30px 20px;
        margin-bottom: 3em;
        width: (($dropzone-padding + $dropzone-border-width) * 2 +
                ($image-preview-width + ($image-preview-margin * 2)) * 5) + 'px';
        cursor: pointer;

        .dz-preview.dz-file-preview .dz-image,
        .dz-preview .dz-image {
            @include border-radius(5px);
        }

        .dz-message {
            font-size: 1.5em;
            color: $dark-gray;
            margin: 0 0 1em 0;

            .message-seperator {
                display: block;
                margin-top: 1em;
                font-size: small;
            }
        }

        .select-files-btn {
            text-align: center;
            cursor: pointer;

            .i-button {
                cursor: pointer;
            }
        }
    }

    .form-group .dropzone-area {
        padding: 0;
        margin-bottom: 1em;
        width: 400px;
        display: table;

        .dropzone-area-inner {
            display: table-row;

            .dropzone-previews {
                display: table-cell;
                text-align: center;

                .dz-message {
                    display: none;
                }
            }

            .select-files-btn {
                display: table-cell;
                vertical-align: middle;
                text-align: center;

                button {
                    margin: $image-preview-margin + 'px';
                    height: inherit;
                }
            }
        }
    }

    .dropzone-upload-btn {
        text-align: right;
    }
}

